import { _decorator, Component, Node } from 'cc';
const {ccclass, property} = _decorator;

@ccclass('Helloworld')
export default class Helloworld extends Component {
    heroNode: Node | null = null;
    touchX: number = 0;
    touchY: number = 0;
    start () {
        this.heroNode = this.node.getChildByName('Enemy');
        this.heroNode.on(Node.EventType.TOUCH_START, (event) => {
            let pos = event.getLocation();
            this.touchX = pos.x - this.heroNode.position.x;
            this.touchY = pos.y - this.heroNode.position.y;
        });
        this.heroNode.on(Node.EventType.TOUCH_MOVE, (event) => {
            let pos = event.getLocation();
            let x = pos.x - this.touchX;
            let y = pos.y - this.touchY;
            this.heroNode.setPosition(x, y);
        });
    }
}